# $Revision: 1.18 $, $Date: 2003/10/18 11:36:10 $
Summary:	A port forwarder that works with IPChains and IPFWADM
Summary(pl):	Forwarder portw dziaajcy z ipchains i ipfwadm
Name:		portfwd
Version:	0.26
%define _rc     rc6
Release:	0.%{_rc}.1
License:	GPL
Group:		Networking/Daemons
Source0:	http://dl.sourceforge.net/portfwd/%{name}-%{version}%{_rc}.tar.gz
# Source0-md5:	9706c8c4c4551c079f3e76abf985b64d
Source1:	%{name}.init
Source2:	%{name}.sysconfig
URL:		http://portfwd.sourceforge.net/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	flex
BuildRequires:	libstdc++-devel
PreReq:		rc-scripts
Requires(post,preun):	/sbin/chkconfig
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
PortFwd, by Everton da Silva Marques, is a small C++ user-space
utility which forwards incoming TCP connections and/or UDP packets to
remote hosts. Features:
- forwarding based on originator port
- multiple ports forwarded from one config file
- FTP forwarding, which requires two ports.

%description -l pl
PortFwd, autorstwa Evertona de Silva Marquesa, jest maym narzdziem w
C++ dziaajcym w user-space, przekierowujcym poczenia TCP lub
pakiety UDP na zewntrzne hosty. Cechy:
- przekierowywanie zalene od portu rdowego
- konfiguracja wielu portw w jednym pliku konfiguracyjnym
- przekierowywanie FTP - wymagajce dwch portw.

%prep
%setup  -q -n %{name}-%{version}%{_rc}

%build
%{__aclocal}
%{__autoconf}
%{__automake}
CXXFLAGS="%{rpmcflags} -fno-rtti -fno-exceptions"
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/etc/{rc.d/init.d,sysconfig}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install cfg/empty.cfg $RPM_BUILD_ROOT%{_sysconfdir}/portfwd.cfg

install %{SOURCE1} $RPM_BUILD_ROOT/etc/rc.d/init.d/portfwd
install %{SOURCE2} $RPM_BUILD_ROOT/etc/sysconfig/portfwd

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/chkconfig --add portfwd
if [ -f /var/lock/subsys/portfwd ]; then
        /etc/rc.d/init.d/portfwd restart 1>&2
else
        echo "Run \"/etc/rc.d/init.d/portfwd start\" to start portfwd."
fi

%preun
if [ "$1" = "0" ]; then
        if [ -f /var/lock/subsys/portfwd ]; then
                /etc/rc.d/init.d/portfwd stop 1>&2
        fi
        /sbin/chkconfig --del portfwd
fi

%files
%defattr(644,root,root,755)
%doc CREDITS README TODO cfg/* contrib/suggestions.txt doc/FAQ doc/conf.txt
%attr(755,root,root) %{_sbindir}/portfwd
%attr(754,root,root) /etc/rc.d/init.d/portfwd
%config(noreplace) %verify(not size mtime md5) /etc/sysconfig/portfwd
%config(noreplace) %verify(not size mtime md5) %{_sysconfdir}/portfwd.cfg
%{_mandir}/man?/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: portfwd.spec,v $
Revision 1.18  2003/10/18 11:36:10  blues
- one more release fix

Revision 1.17  2003/10/17 12:21:49  pbern
- fix rel version
- add md5

Revision 1.16  2003/10/17 11:51:17  pbern
- update to 0.26rc6
- rel1
- remove outdated patch

Revision 1.15  2003/08/08 15:04:39  qboosh
- more specific Requires

Revision 1.14  2003/05/28 13:01:20  malekith
- massive attack: source-md5

Revision 1.13  2003/05/25 06:25:41  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.12  2003/04/08 13:28:38  qboosh
- use http for sources from sourceforge

Revision 1.11  2002/11/30 23:00:25  juandon
- new %%doc

Revision 1.10  2002/10/09 13:14:45  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.9  2002/05/21 23:14:32  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.8  2002/03/24 23:28:23  kloczek
- perl -pi -e "s/^automake -a -c$/automake -a -c -f/"

Revision 1.7  2002/02/22 23:29:36  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.6  2002/02/05 11:35:11  kloczek
- cosmetics.

Revision 1.5  2002/02/05 11:27:53  adasi
 - i'm so stupid....

Revision 1.4  2002/02/05 11:20:55  adasi
 - added %post/%preun

Revision 1.3  2002/02/05 11:16:17  kloczek
- cleanups in spec file and on am/ac level.

Revision 1.2  2002/01/18 02:14:38  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.1  2001/11/26 11:22:56  qboosh
- new: user-space port-forwarder; based on spec from package
